perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Oleg Burlaca <oburl...@neonet.md>
Subject Re: Can't compile Apache2.2.9 + ModPerl2.0.4
Date Tue, 29 Jul 2008 20:23:46 GMT
Hi Philip,
thanks for the answer.

 > I assume you passed paths to those right, otherwise you've just found 
your problem. Which is conflicting library versions.  I'll bet you a beer.
Yes, of course "--with-apr-config=/path/to/apr/bin/apr-1-config"
here is the complete config line:
perl ./Makefile.PL --enable-perl-glue 
--with-apache2-apxs=/usr/local/httpd_perl/bin/apxs  \
--with-apache2-httpd=/usr/local/httpd_perl/bin/httpd_perl \
--with-apr-config=/usr/local/httpd_perl/bin/apr-1-config 
--with-apu-config=/usr/local/httpd_perl/bin/apu-1-config
> Something isn't quite right.  There should information in the () about 
> arguments passed.  In this case looking for something was NULL but 
> shouldn't be.
> You might try MP_MAINTAINER=1 and MP_DEBUG=1
I've recompiled Apache (executed CFLAGS="-g" before compiling &&  
--enable-maintainer-mode)
and mod_perl (added MP_MAINTAINER=1)
> Above comments about conflicting libraries backs this up based on 
> whats failing
Hmmmm, very strange, but after recompiling apache & mod_perl with 
maintainer mode, ... I no longer can reproduce the segfault.
It's seems that I'll have to sit and wait when the segfault reappears :)
If it will nor happen in the next couple of days, I'll exclude the 
maintainer & debug settings and recompile apache & mod_perl to use in 
production level.

P.S. I don't see any logical explanation why adding MP_MAINTAINER 
removed the segfault, but I hope that I did something wrong at the 
beginning.

Mime
View raw message